path: /build/build/macaroni-initramfs-kernel-6.12-6.12.33+1.package.tar.zst
dependencies: []
compilespec:
  steps:
  - cd $GOPATH/src/github.com/u-root/u-root && go get github.com/pilebones/go-udev@v0.9.0
  - mkdir modules_copy
  - find /luetbuild/modules/lib/modules/**/kernel/fs  -exec cp {} -r --parents ./modules_copy
    \;
  - find /luetbuild/modules/lib/modules/**/kernel/lib  -exec cp {} -r --parents ./modules_copy
    \;
  - find /luetbuild/modules/lib/modules/**/kernel/crypto  -exec cp {} -r --parents
    ./modules_copy \;
  - find /luetbuild/modules/lib/modules/**/kernel/crypto  -exec cp {} -r --parents
    ./modules_copy \;
  - find /luetbuild/modules/lib/modules/**/kernel/drivers/usb  -exec cp {} -r --parents
    ./modules_copy \;
  - find /luetbuild/modules/lib/modules/**/kernel/drivers/hid  -exec cp {} -r --parents
    ./modules_copy \;
  - find /luetbuild/modules/lib/modules/**/kernel/drivers/input  -exec cp {} -r --parents
    ./modules_copy \;
  - find /luetbuild/modules/lib/modules/**/kernel/drivers/block  -exec cp {} -r --parents
    ./modules_copy \;
  - find /luetbuild/modules/lib/modules/**/kernel/drivers/ata -exec cp {} -r --parents
    ./modules_copy \;
  - find /luetbuild/modules/lib/modules/**/kernel/drivers/md -exec cp {} -r --parents
    ./modules_copy \;
  - find /luetbuild/modules/lib/modules/**/kernel/drivers/virtio  -exec cp -r --parents
    {} ./modules_copy \;
  - find /luetbuild/modules/lib/modules/**/kernel/drivers/scsi  -exec cp -r --parents
    {} ./modules_copy \;
  - find /luetbuild/modules/lib/modules/**/kernel/drivers/md  -exec cp {} -r --parents
    ./modules_copy \;
  - find /luetbuild/modules/lib/modules/**/kernel/drivers/nvme  -exec cp {} -r --parents
    ./modules_copy \;
  - find /luetbuild/modules/lib/modules/**/kernel/drivers/video  -exec cp {} -r --parents
    ./modules_copy \;
  - find /luetbuild/modules/lib/modules/**/kernel/drivers/vfio  -exec cp {} -r --parents
    ./modules_copy \;
  - find /luetbuild/modules/lib/modules/**/kernel/drivers/parport  -exec cp {} -r
    --parents ./modules_copy \;
  - find /luetbuild/modules/lib/modules/**/kernel/drivers/net/ethernet  -exec cp -r
    --parents {} ./modules_copy \;
  - find /luetbuild/modules/lib/modules/**/kernel/net/packet  -exec cp --parents -r
    {} ./modules_copy \;
  - find /luetbuild/modules/lib/modules/**/modules.*  -exec cp -v {} -r --parents
    ./modules_copy \;
  - PACKAGE_VERSION=${PACKAGE_VERSION%\+*} && depmod -a ${PACKAGE_VERSION}-macaroni
    -b  modules_copy/luetbuild/modules/
  - |
    cd $GOPATH/src/github.com/u-root/u-root && \
    go mod vendor && \
    u-root \
    -files "/luetbuild/loader.sh:loader" \
    -files "/luetbuild/modules_copy/luetbuild/modules/lib/modules:lib/modules" \
    -files "$(which setsid.static):usr/bin/setsid" \
    -files "$(which losetup.static):sbin/losetup" \
    -files "$(which blkid.static):sbin/blkid" \
    -files "$(which mount.static):bin/mount" \
    -files "$(which umount.static):bin/umount" \
    -files "$(which switch_root.static):sbin/switch_root" \
    -files "$(which sh)" \
    -files "$(which bash)" \
    -format=cpio -build=bb -defaultsh="" \
    -o /luetbuild/initramfs.cpio \
    github.com/u-root/u-root/cmds/core/ls \
    github.com/u-root/u-root/cmds/core/dhclient \
    github.com/u-root/u-root/cmds/core/init \
    github.com/u-root/u-root/cmds/exp/modprobe \
    github.com/u-root/u-root/cmds/core/cat \
    github.com/u-root/u-root/cmds/core/echo \
    github.com/u-root/u-root/cmds/core/dmesg \
    github.com/u-root/u-root/cmds/core/lsmod \
    github.com/u-root/u-root/cmds/core/chroot \
    github.com/u-root/u-root/cmds/core/ip \
    github.com/u-root/u-root/cmds/core/mkdir \
    github.com/u-root/u-root/cmds/core/sleep
  - |
    PACKAGE_VERSION=${PACKAGE_VERSION%\+*} && \
    xz --check=crc32 -9 --lzma2=dict=1MiB \
       --stdout /luetbuild/initramfs.cpio \
       | dd conv=sync bs=512 \
       of=/boot/initramfs-vanilla-x86_64-${PACKAGE_VERSION}-macaroni
  - PACKAGE_VERSION=${PACKAGE_VERSION%\+*} && eval 'mkdir -p /initramfs/boot || true'
    && cp -v /boot/initramfs-vanilla-x86_64-${PACKAGE_VERSION}-macaroni /initramfs/boot/
  env:
  - PATH=$PATH:/usr/local/go/bin
  - GOPATH=/luetbuild/go
  - CGO_ENABLED=0
  prelude:
  - export LUET_YES=true && export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox
    -network-sandbox" && export GENTOO_MIRRORS="https://distfiles.macaronios.org https://dl.macaronios.org/repos/distfiles"
    && entities merge -e portage --specs-dir /usr/share/macaroni/entities/ && luet
    repo update && luet i app-arch/upx-bin sys-apps/kmod sys-apps/which toolchain/meta-repo
    sys-devel/patch dev-python/cython sys-libs/timezone-data && luet cleanup --purge-repos
    && sed -i -e 's|#use static|use static|g' -e 's|+readline|+readline static|g'
    /var/git/meta-repo/kits/core-kit/app-shells/bash/bash-*.ebuild && mkdir -p /etc/portage/patches/sys-apps/util-linux/
    && rm -vf /var/git/meta-repo/kits/core-kit/sys-apps/util-linux/*.ebuild && cp
    -vf util-linux/util-linux-2.38.1.ebuild /var/git/meta-repo/kits/core-kit/sys-apps/util-linux
    && cd /var/git/meta-repo/kits/core-kit/sys-apps/util-linux/ && ebuild util-linux-2.38.1.ebuild
    digest && cd - && cp -vf util-linux/*.patch /etc/portage/patches/sys-apps/util-linux/
    && USE="static-libs tinfo" emerge sys-libs/ncurses -t -j && USE="static-libs"
    emerge sys-libs/readline -t -j && USE="static-libs zstd" emerge sys-apps/kmod
    -j && USE="-python" emerge =sys-apps/util-linux-2.38.1 -t -j && USE="static" emerge
    bash -t -j
  - wget https://golang.org/dl/go1.22.12.linux-amd64.tar.gz -O golang.tar.gz
  - eval 'mkdir -p /usr/local || true' && tar -C /usr/local -xzf golang.tar.gz
  - |
    mkdir -p /luetbuild/go/src/github.com/u-root && cd /luetbuild/go/src/github.com/u-root && \
    git clone https://github.com/u-root/u-root && cd u-root && git checkout "3bc921dcfa99f9e7cf28c5fe96c14ae091af55c4" -b build
  - |
    cd /luetbuild/go/src/github.com/u-root/u-root && go build -ldflags '-s -w' && upx --brute -1 u-root && mv u-root /usr/bin/u-root
  - mkdir /boot || true
  - rm -rf $GOPATH/src/github.com/u-root/u-root/cmds/core/init
  - cp -rf init $GOPATH/src/github.com/u-root/u-root/cmds/core/init
  image: ""
  seed: docker-registry1.mottainai.local:5000/anise-macaroni-commons-dev-tree:e4722318f50e84234f123faf2301472f01194eda221c754e1e48d7566c962b8e
  package:
    name: macaroni-initramfs
    version: 6.12.33+1
    category: kernel-6.12
    requires:
    - name: macaroni-modules
      version: '>=0'
      category: kernel-6.12
    buildtimestamp: 2025-06-20 16:31:24.26710193 +0000 UTC m=+1156.531711052
    labels:
      package.version: 6.12.33
    treedir: /build/packages
  package_dir: /initramfs
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/luetbuild
  - ^/root
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/anise-macaroni-commons-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - {}
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 0892178c686dc62f69e79385cd8d87e3eeb8a865fcc46210abe907dd89693549
compressiontype: zstd
files:
- boot/initramfs-vanilla-x86_64-6.12.33-macaroni
package_cacheimage: ""
runtime:
  name: macaroni-initramfs
  version: 6.12.33+1
  category: kernel-6.12
  labels:
    package.version: 6.12.33
